commit:     d42cb8bb58917330226a9ad3810891a34c839cef
Author:     Zoltan Puskas <zoltan <AT> sinustrom <DOT> info>
AuthorDate: Sat Oct  8 01:29:21 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Sat Nov  5 09:00:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d42cb8bb

sci-electronics/kicad: add 6.0.8

Signed-off-by: Zoltan Puskas <zoltan <AT> sinustrom.info>
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 sci-electronics/kicad/Manifest           |   1 +
 sci-electronics/kicad/kicad-6.0.8.ebuild | 174 +++++++++++++++++++++++++++++++
 2 files changed, 175 insertions(+)

diff --git a/sci-electronics/kicad/Manifest b/sci-electronics/kicad/Manifest
index 049bb5942d0d..ff220aed0c62 100644
--- a/sci-electronics/kicad/Manifest
+++ b/sci-electronics/kicad/Manifest
@@ -1,3 +1,4 @@
 DIST kicad-5.1.12.tar.bz2 18581842 BLAKE2B 
f04369fecded6fb07376efa209ddf5fcc693e73018ed728003529cdd0e6ef4a059c28106db1acf18834d938c3fbe4b9df5b5c8e0874989d35f74cf67414e6c76
 SHA512 
c0e5ad5b360ef788b427755aa71eeaec1a19b7520a00bb94fafba47e291f6ba067c598004efd515287800cd41f7da399d0389121e53e9669026c62f21b0a65ea
 DIST kicad-6.0.6.tar.gz 45086249 BLAKE2B 
fbf1f11cbf4838186e1ecb42127f7b182d3cd13b4af147211c85244d361cbf83387f5d102efdc80a63cfff36e343e6c4e07fef7f95dac4c6666844c5bc9d0ec2
 SHA512 
c472a6b81e3065e0499cad8467527d3531dc4d5861f50079ecb2ae6fccaf2c4d24fbeae8e9fe0cdde5ef548458fcef9615d6539426abe391a629dd539406065a
 DIST kicad-6.0.7.tar.gz 45143677 BLAKE2B 
4ab9132be84cb6c6c566a826e5966f4fe64922dcd66f78c558126b37a276e075af80440da35071c864457298f6f964ba15511d0038424f473c3fb079d5f042e6
 SHA512 
0466650d166becbde23f1202e8bbe73ac7c743b5baad9608252fe4e960f0d15aad363664b69d840ef4568bf6d1c042b94252afce8657594a5f8193c979613e0e
+DIST kicad-6.0.8.tar.gz 45155261 BLAKE2B 
fda898c4a4e435b9f61bc706a29814a14ee3882e26043355bb14d4e99a334602d83453d6164a4589a106104ce1a5e4cd7b774ce89fb3b0f40cf140aee16d8e73
 SHA512 
8ecba5481e1876075976316f94af44116098cf652dba263b5d4a5c1eeb3628ba4814a3698c8cacf40c8c7b4c118e47db3d9db198ccfd30f532576343a7a62791

diff --git a/sci-electronics/kicad/kicad-6.0.8.ebuild 
b/sci-electronics/kicad/kicad-6.0.8.ebuild
new file mode 100644
index 000000000000..7471c53d9dbd
--- /dev/null
+++ b/sci-electronics/kicad/kicad-6.0.8.ebuild
@@ -0,0 +1,174 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+WX_GTK_VER="3.0-gtk3"
+
+inherit check-reqs cmake optfeature python-single-r1 toolchain-funcs wxwidgets 
xdg-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools"
+HOMEPAGE="https://www.kicad.org";
+
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="https://gitlab.com/kicad/code/kicad.git";
+       inherit git-r3
+else
+       MY_PV="${PV/_rc/-rc}"
+       MY_P="${PN}-${MY_PV}"
+       
SRC_URI="https://gitlab.com/kicad/code/${PN}/-/archive/${MY_PV}/${MY_P}.tar.gz 
-> ${P}.tar.gz"
+       S="${WORKDIR}/${PN}-${MY_PV}"
+
+       if [[ ${PV} != *_rc* ]] ; then
+               KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+       fi
+fi
+
+# BSD for bundled pybind
+LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
+SLOT="0"
+IUSE="doc examples ngspice nls openmp +occ +pcm"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Contains bundled pybind but it's patched for wx
+# See 
https://gitlab.com/kicad/code/kicad/-/commit/74e4370a9b146b21883d6a2d1df46c7a10bd0424
+# Depend on opencascade:0 to get unslotted variant (so we know path to it), 
bug #833301
+COMMON_DEPEND="
+       !sci-electronics/kicad-i18n
+       dev-libs/boost:=[context,nls]
+       media-libs/freeglut
+       media-libs/glew:0=
+       >=media-libs/glm-0.9.9.1
+       media-libs/mesa[X(+)]
+       >=x11-libs/cairo-1.8.8:=
+       >=x11-libs/pixman-0.30
+       x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
+       $(python_gen_cond_dep '
+               dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
+               dev-python/wxpython:4.0[${PYTHON_USEDEP}]
+       ')
+       ${PYTHON_DEPS}
+       ngspice? (
+               >sci-electronics/ngspice-27[shared]
+       )
+       nls? (
+               sys-devel/gettext
+       )
+       occ? (
+               >=sci-libs/opencascade-7.3.0:0=
+       )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+       sci-electronics/electronics-menu
+"
+BDEPEND=">=dev-lang/swig-3.0
+       doc? ( app-doc/doxygen )"
+
+if [[ ${PV} == 9999 ]] ; then
+       # x11-misc-util/macros only required on live ebuilds
+       BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="900M"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-scripts-install-fix.patch"
+       "${FILESDIR}/${PN}-6.0.6-unitialized-variable-fix.patch"
+)
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+       python-single-r1_pkg_setup
+       setup-wxwidgets
+       check-reqs_pkg_setup
+}
+
+src_unpack() {
+       if [[ ${PV} == 9999 ]]; then
+               git-r3_src_unpack
+       else
+               default_src_unpack
+       fi
+}
+
+src_configure() {
+       xdg_environment_reset
+
+       local mycmakeargs=(
+               -DKICAD_DOCS="${EPREFIX}/usr/share/doc/${PN}-doc-${PV}"
+
+               -DKICAD_SCRIPTING_WXPYTHON=ON
+
+               # Merged from separate -i18n package, bug #830274
+               -DKICAD_BUILD_I18N="$(usex nls)"
+               -DKICAD_I18N_UNIX_STRICT_PATH="$(usex nls)"
+
+               -DPYTHON_DEST="$(python_get_sitedir)"
+               -DPYTHON_EXECUTABLE="${PYTHON}"
+               -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+               -DPYTHON_LIBRARY="$(python_get_library_path)"
+
+               -DKICAD_SPICE="$(usex ngspice)"
+               -DKICAD_PCM="$(usex pcm)"
+
+               -DKICAD_USE_OCC="$(usex occ)"
+               -DKICAD_INSTALL_DEMOS="$(usex examples)"
+               -DCMAKE_SKIP_RPATH="ON"
+       )
+
+       use occ && mycmakeargs+=(
+               -DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
+               -DOCC_LIBRARY_DIR="${CASROOT}"/$(get_libdir)/opencascade
+       )
+
+       cmake_src_configure
+}
+
+src_compile() {
+       cmake_src_compile
+       if use doc; then
+               cmake_src_compile doxygen-docs
+       fi
+}
+
+src_test() {
+       # Test cannot find library in Portage's sandbox. Let's create a link so 
test can run.
+       ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" 
"${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+
+       # LD_LIBRARY_PATH is there to help it pick up the just-built libraries
+       LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" 
cmake_src_test
+}
+
+src_install() {
+       cmake_src_install
+       python_optimize
+
+       if use doc ; then
+               dodoc uncrustify.cfg
+               cd Documentation || die
+               dodoc -r *.txt kicad_doxygen_logo.png 
notes_about_pcbnew_new_file_format.odt doxygen/.
+       fi
+}
+
+pkg_postinst() {
+       optfeature "Component symbols library" sci-electronics/kicad-symbols
+       optfeature "Component footprints library" 
sci-electronics/kicad-footprints
+       optfeature "3D models of components " sci-electronics/kicad-packages3d
+       optfeature "Project templates" sci-electronics/kicad-templates
+       optfeature "Extended documentation" app-doc/kicad-doc
+       optfeature "Creating 3D models of components" media-gfx/wings
+
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       xdg_icon_cache_update
+}

Reply via email to